abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
dnes 18:22 | Nová verze

Byla vydána finální beta verze Ubuntu 20.04 LTS s kódovým názvem Focal Fossa. Přehled novinek v poznámkách k vydání. Dle plánu by Ubuntu 20.04 mělo vyjít 23. dubna 2020.

Ladislav Hagara | Komentářů: 0
dnes 17:22 | Nová verze

Vyšel XCP-ng 8.1 (seznam změn), alternativní sestavení Citrix Hypervisor (dříve XenServer), tedy serverová distribuce hypervizoru Xen (4.13), toolstacku XAPI a systému CentOS v privilegované doméně. XCP-ng na rozdíl od bezplatné verze Citrix Hypervisoru nemá četná omezení funkcionality, vývojáři ale nabízejí i komerční podporu. Novinkou (zatím) pouze v XCP-ng je možnost zálohovat VM včetně aktuálního stavu jejich paměti; funkce je integrována také v administračním nástroji Xen Orchestra.

Fluttershy, yay! | Komentářů: 0
včera 17:55 | Nová verze

Byl vydán LineageOS ve verzi 17.1. LineageOS (Wikipedie) je svobodný operační systém pro chytré telefony, tablety a set-top boxy založený na Androidu. Jedná se o nástupce CyanogenModu. LineageOS 17.1 je založený na Androidu 10.

Ladislav Hagara | Komentářů: 6
včera 17:22 | Zajímavý projekt

Lukasz Erecinski na blogu Pine64 oznámil možnost předobjednání telefonu PinePhone v edici UBports Community Edition. Telefon bude mít speciální kryt s logem a nápisem UBports Edition. Základní deska bude podle nového schématu (v1.2) vylepšená podle zpětné vazby od majitelů BraveHeart edice. Bude mít FCC i CE certifikace.

joejoe | Komentářů: 3
včera 15:33 | IT novinky

Společnost Cloudflare před dvěma lety spustila DNS resolver 1.1.1.1. Včera spustila 1.1.1.1 pro rodiny aneb nové resolvery 1.1.1.2 (2606:4700:4700::1112) a 1.1.1.3 (2606:4700:4700::1113) blokující stránky s malwarem a obsahem pro dospělé. Dnes se omluvila, že nechtěně blokovala také LGBTQIA+ stránky.

Ladislav Hagara | Komentářů: 29
včera 14:55 | Nová verze

Společnost Red Hat oznámila vydání Red Hat Enterprise Linuxu 7.8, který přináší vedle nových vlastností a oprav chyb také aktualizaci ovladačů a předběžné ukázky budoucích technologií. Podrobnosti v poznámkách k vydání.

Ladislav Hagara | Komentářů: 0
včera 14:33 | Nová verze

V pondělí vyšel Linux 5.6. Dnes vyšla jeho 2. opravná verze 5.6.2 (git). Opravena byla mimo jiné diskutovaná chyba v ovladači iwlwifi.

Ladislav Hagara | Komentářů: 0
1.4. 19:55 | Nová verze

Po dvou letech od vydání verze 3.0 byla vydána nová major verze 4.0 nástrojů LXC, LXD a LXCFS pro kontejnerovou virtualizaci LXC (LinuX Containers). Jedná se o verzi s dlouhodobou podporou (LTS). Ta končí v červnu 2025. Přehled novinek v jednotlivých oznámeních o vydání: LXC, LXD a LXCFS.

Ladislav Hagara | Komentářů: 3
1.4. 16:11 | Humor

Řada firem své letošní již připravené aprílové žertíky kvůli SARS-CoV-2 a COVID-19 nezveřejnila. Přehled zveřejněných například na April Fools' Day On The Web. Na CoinMarketCapu byla přidána nová kryptoměna: toaleťáky. Ve hře World of Tanks jsou vylepšené tanky, v PUBG nový herní mód Fantasy Battle Royale, …

Ladislav Hagara | Komentářů: 3
1.4. 15:22 | Humor

Komunity KDE a GNOME, které doposud vyvíjely příslušná desktopová prostředí, se rozhodly přestat tříštit síly a představují společný projekt KNOME, který nabídne konfigurovatelnost GNOME a jednoduchost KDE v jednom balíčku. Staví na technologiích QTK3 a Kutter.

Fluttershy, yay! | Komentářů: 26
Chodíte do práce?
 (24%)
 (1%)
 (6%)
 (1%)
 (49%)
 (13%)
 (5%)
Celkem 78 hlasů
 Komentářů: 4, poslední včera 14:20
Rozcestník

www.AutoDoc.Cz

Dotaz: Apache 2.4.5 + PHP 7.0 nefunguje

RedMax avatar 7.3. 06:14 RedMax | skóre: 6
Apache 2.4.5 + PHP 7.0 nefunguje
Přečteno: 713×

Ahoj,

 

ač velice nerad, musel jsem provést dist-upgrade, povýšil jsem z Debian 7 na Debian 9. Velice nerad dělám jakékoliv upgrade na čemkoliv, dopadá to špatně. Potřeboval jsem instalovat soft, který mohužel na Debian 7 nešel. Problémů bylo mnoho, ale všechny jsem dokázal vyřešit. Zůstal mi jeden zásadní problém a to s apachem a php. Po upgradu apache na 2.4.5 samozřejmě nebyli kompatibilní configuráky ze staré verze, takže jsem staré zálohoval a nahodil čisté z nového apache. Avšak nastal problém, nejde mi php na apachy, vypisuje mi to jen jakýsi zdroják, avšak né toho konkrétního webu. Koukal jsem do /mods-enabled jestli je zapnutý mod, není, mrknu do /mods-available a tam také není. V předchozí verzi tam ale tento mod byl. Jak to tedy funguje u nových verzí? Jak má zkonfigurovat apache 2.4.5 a php 7.0 na čisté instalaci?

Popostrčte mě, prosím někdo.

Děkuji

Odpovědi

7.3. 13:29 debian+
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
7.0 je uz nepodporovana. Instaluj podporovanu, resp. v distre.
apt-get autoremove --purge "*php*"
apt-get dist-upgrade
apt-get install php
Default php instalujes aj module pre web server. Ak tie nechces, instaluj php-cli.
RedMax avatar 7.3. 16:05 RedMax | skóre: 6
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje

Tomu nerozumím. Mám Debian 9 a v distre je zřejmě php7.0, ten se také instaluje, co tedy není podporované?

7.3. 16:53 debian+
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
PHP 7.0 uz so strany vyvojarov PHP nie je podporovane. Najdene chyby sa uz nebudu opravovat. Jedine, ze ich (ako asi aj najskor robia) pathuju debianisti.

Inac, ten prikaz plati univerzalne. Takze mozes pouzit pre debian9.

Tu si precitaj o debian 9 a php: https://wiki.debian.org/PHP#Available_packages
RedMax avatar 7.3. 16:42 RedMax | skóre: 6
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje

Pokud vlezu na jakýkoliv web, tak to vypíše toto:


<?php
/**
* @version $Id: index.php 14401 2010-01-26 14:10:00Z louis $
* @package Joomla
* @copyright Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
* @license GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// Set flag that this is a parent file
define( '_JEXEC', 1 );

define('JPATH_BASE', dirname(__FILE__) );

define( 'DS', DIRECTORY_SEPARATOR );

require_once ( JPATH_BASE .DS.'includes'.DS.'defines.php' );
require_once ( JPATH_BASE .DS.'includes'.DS.'framework.php' );

JDEBUG ? $_PROFILER->mark( 'afterLoad' ) : null;

/**
* CREATE THE APPLICATION
*
* NOTE :
*/
$mainframe =& JFactory::getApplication('site');

/**
* INITIALISE THE APPLICATION
*
* NOTE :
*/
// set the language
$mainframe->initialise();

JPluginHelper::importPlugin('system');

// trigger the onAfterInitialise events
JDEBUG ? $_PROFILER->mark('afterInitialise') : null;
$mainframe->triggerEvent('onAfterInitialise');

/**
* ROUTE THE APPLICATION
*
* NOTE :
*/
$mainframe->route();

// authorization
$Itemid = JRequest::getInt( 'Itemid');
$mainframe->authorize($Itemid);

// trigger the onAfterRoute events
JDEBUG ? $_PROFILER->mark('afterRoute') : null;
$mainframe->triggerEvent('onAfterRoute');

/**
* DISPATCH THE APPLICATION
*
* NOTE :
*/
$option = JRequest::getCmd('option');
$mainframe->dispatch($option);

// trigger the onAfterDispatch events
JDEBUG ? $_PROFILER->mark('afterDispatch') : null;
$mainframe->triggerEvent('onAfterDispatch');

/**
* RENDER THE APPLICATION
*
* NOTE :
*/
$mainframe->render();

// trigger the onAfterRender events
JDEBUG ? $_PROFILER->mark('afterRender') : null;
$mainframe->triggerEvent('onAfterRender');

/**
* RETURN THE RESPONSE
*/
echo JResponse::toString($mainframe->getCfg('gzip'));
7.3. 16:58 debian+
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
Apache ti dava subor tak ako je. Nevie, ze podla pripony .php ma ho dat spracovat php. Ci mas povoleny modul php zistij aj cez funkciu: https://www.php.net/manual/en/function.phpinfo.php

Odinstaluj modul "libapache2-mod-php*" aj so zmazanim konfiguracii a potom nainstaluj modul libapache2-mod-php7.0.
RedMax avatar 7.3. 18:30 RedMax | skóre: 6
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje

Super, to fungovalo, php jede.

U některých webů mám pomocí .htaccess Redirect 301, který nefunguje a také když si jdu na nějaký web s php tak http error 500. Já nevím kde mám chybu, zkonfigurované to mám stejně jako předtím. info.php jede normálně. Jsem z toho uplně hotovej.

7.3. 20:00 debian+
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
Citaj logy !!! /var/log/apache2
RedMax avatar 8.3. 19:59 RedMax | skóre: 6
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje

Tak jsem zjistil, že v PHP7 nejsou funkce co byli v PHP5. Rozhodně se nikomu nechce přepisovat weby ani měnit starou konfiguraci apache. Nastává otázka, jak dostat staré verze do Debian Buster? Hledal jsem staré binárky jak apache, tak php, ale nikde ke stažení jsem je nenašel. Takže stáhnout zdrojáky z oficiálních zdrojů a zkompilovat? Blbé je, že jsem nikdy nekompiloval, vždy jsem měl soft dostupný v binárkách. Samozřejmě jsem zkoušel první zkompilovat apache, ale nevím jak to přesně funguje, /etc/apache2 neexistuje ani v /etc/init.d/ není apache. Hledal jsem na webu, ale to nic neřeší. Může někdo poradit? Děkuji

Josef Kufner avatar 8.3. 21:23 Josef Kufner | skóre: 69
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
Pomocí debootstrap si vytvoř chroot prostředí se starou verzí Debianu, která má podporovanou verzi. Do tohoto prostředí doinstaluj D-Bus (aby fungovalo systemd uvnitř i venku) a PHP-FPM v požadované verzi, které spustí tvou starou aplikaci. Žádný Apache ani jiný webserver tam není potřeba. Tento chroot nastartuj pomocí systemd-nspawn jako kontejner, který vystaví jen socket pro PHP-FPM a zpřístupní souborový systém pro PHP aplikaci.

Systemd-nspawn hezky propojí systemd v kontejneru a systemd hostitelského systému, tedy pokud funguje d-bus v kontejneru. Pomocí systemctl na hostitelském systému jsou pak vidět procesy i v kontejneru.

Kvůli bezpečnosti není dobré nějak moc takový kontejner vystavovat do světa a proto aktuální webserver na hostitelském systému nasměruješ na PHP-FPM socket v kontejneru a nedáš tam přístup napřímo. Ani není potřeba SSH, neboť máme machinectl shell či login.
Hello world ! Segmentation fault (core dumped)
RedMax avatar 8.3. 21:39 RedMax | skóre: 6
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje

Děkuji za radu, ale tohle zřejmě nezvládnu, neboť ani polovinu cos napsal neznám. :( To už je trochu vyšší dívčí.

Josef Kufner avatar 8.3. 21:47 Josef Kufner | skóre: 69
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
Jo, je. Ale je to jednodušší, než dostat staré PHP do nového systému. Pohraj si se systemd-nspawn, projdi si nějaký tutoriál, trochu poexperimentuj – je to v podstatě docela jednoduchá věc, pokud víš kam sáhnout. Rozchození PHP pak už je stejné jako u běžné instalace.
Hello world ! Segmentation fault (core dumped)
9.3. 07:54 bigBRAMBOR | skóre: 34
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
urcite bude existovat docker image s PHP 5.6 a mel by dosahnout stejneho vysledku s vynechanim kroku vytvoreni si vlastniho image
Max avatar 9.3. 08:40 Max | skóre: 68 | blog: Max_Devaine
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
Proč tak složitě, když existuje repository, který se tím zabývá a používá ho opravdu kvantum lidí? Fakt nechápu, jak někdo v takovém případě může radit kompilaci, nebo docker, či jiné věci, když stačí přidat repo a udělat apt get...
Zdar Max
PS: správcem repository je Ondřej Surý, tj. celkem dost důvěryhodná osoba...
Měl jsem sen ... :(
9.3. 10:14 bigBRAMBOR | skóre: 34
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
maxi v cem je slozitejsi instalace z docekr hubu nez instalace z repo?
Max avatar 9.3. 18:42 Max | skóre: 68 | blog: Max_Devaine
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
Jeden příkaz a pár MiB vs moloch jak kráva, kde ještě dodatečně bude muset řešit autostart po rebootu.
Já postupně k dockeru čuchám a zatím tedy žádná sláva. Ale to bude spíš i částečnou neznalostí.
Zdar Max
Měl jsem sen ... :(
23.3. 15:11 bigBRAMBOR | skóre: 34
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
moloch jako kráva ma 25MB a autostart je otazka jednoho parametru pri vytvaření kontejneru, zase tak hrozné to není.
Max avatar 23.3. 16:31 Max | skóre: 68 | blog: Max_Devaine
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
+ mapování adresářů s projektama do kontejneru + mapování smtp služeb + komunikace s db + nemožnost docker naroubovat na existující oss webhostingová řešení.
Nakonec mi to nedalo a použil jsem celkem pěkný docker z projektu devilbox a jako jednoúčelovka super. Člověk neřeší problémy s nefunkčním chrootem a dalšími věcmi a je to rozjeté během chvilky. Ale na takový ispconfig už to člověk rozumně nenaroubuje (protože člověk musí použít fpm s tcp místo socketu, porty se mění) a postupně se ty problémy nakupují. Každopádně je to zajímavé, celkem mi to hraní něco dalo. V jobu se začínají od vývojářů(jednoho) objevovat požadavky na Kubernets (zatím pro jeden projekt, malý web). Tak asi mně to nemine.
Nicméně rozhodně to není nic, co by bylo stejně jednoduché jako "apt-get"
Zdar Max
Měl jsem sen ... :(
24.3. 13:14 bigBRAMBOR | skóre: 34
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
neznam debian, v centosu radsi moc repository nemicham. Rozbiti závislostí mi za to moc nestálo, i kdyz debianisti to maji asi jako standardní stav systému, petina dotazu o debianu zde je mam rozbite zavislosti (delam si srandu, je to mozna jeste vic) I kdyz v 8 jsem ten ty appstreamy, vypada to docela zajimave. RHEL ted prisel s podmanem a ten vypada taky zajimave, resi nejake veci ktere me na dockeru štvali. A kdyz pak najedes na YAML soubory, uz nebudes resit nasazeni vubec, jestli to je k8s nebo azure, i docker-compose ma podobnou strukturu.

Co pises, mapovani adresaru, sluzby, komunikace s DB, to je porad stejna vec, udelas ji jednou pri vytvoreni kontejneru + nemoznost naroubovat na oss webhosting reseni, tak tomu nerozumim vubec co tim myslis.

a pro testovani? Rozhodne radsi 5 dockeru s roznou verzi PHP a Apache, kdyz se podrzime puvodniho dotazu, nez 5 ruznych repository.
Max avatar 24.3. 22:36 Max | skóre: 68 | blog: Max_Devaine
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
Je repository a repository. Repositáře pro jednoúčelová app nic nezkazí. Takže repo pro php je naprosto bez problémů stejně jako solo repo pro mariadb, nebo nodejs, nebo to Microsoftí pro NetCore (ano, i to jsem nucen provozovat, Microsoftí repo v Debianu). Takže žádný dependency hell, nebo nějaký peklo při upgrade os.
Těmi oss jsem myslel, že třeba ISPConfig si s php v dockeru moc dobře neporadí. A podobně na tom budou jiná řešení. Jinak já testoval v dockeru jen php, apache jsem tam neměl, proč taky, když tu máme fpm.
Každopádně rozhodně se nedá říci, že by to bylo stejně, nebo podobně jednoduché jako přidání ověřeného repa a apt-get.
Zdar Max
Měl jsem sen ... :(
27.3. 08:58 bigBRAMBOR | skóre: 34
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
MS repo - nedavo jsem použil MS repo pro RHEL a MS SQL a byl jsem velmi přijemně prekvapen. Instalce jednoducha, pro spravu,nastaveni,zalohovani par prikazu, zakladni nastaveni v conf souboru, Management Studio normalane funguje. Zalohovani i obnova mi prisly rychlé. Rychlost DB nemuzu soudit, je tam male učetnictví a jenom Express verze. Ale udelalo to na me dobrej dojem. Pracovalo se mi s tim lip nez na WIN.

Kdy udela repo pro instalaci DB i Oracle?
Max avatar 27.3. 09:46 Max | skóre: 68 | blog: Max_Devaine
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
Oracle má repo pro instalaci DB, resp. má prebuild balíčky, které za tebe nastaví parametry kernelu aj. věcí, aby jsi se s tím nemusel drbat ručně. Express verzi má také jako balíček. Plnou verzi jako balíček nemá a ani nevím, zda by to vůbec šlo, protože samotnou instalaci může provést na x způsobů a je na každém, co preferuje, resp. co je vhodné pro konkrétní případ. Těžko třeba budeš rozjíždět grid a asm jen kvůli nějakému pidi projektu. Naopak u většího projektu ti ten grid s ASM přidá nemálo bonusů. A u ještě větších pak cluster (RAC) apod.
Zdar Max
Měl jsem sen ... :(
27.3. 14:52 bigBRAMBOR | skóre: 34
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
jasne, ten repo s balicky na nastaveni pro Oracle je jasnej. A to vis ze by to slo, instalace a pri prvnim spusteni se nastavis parametry, ale klikat java hnusarnu, zvlast Oracle, zvlast listener a zvlast DB, jedno debilnejsi nez druhe.
Max avatar 27.3. 15:18 Max | skóre: 68 | blog: Max_Devaine
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
Heleď, když tě ten instalátor tak sejří, tak si specifikuj responsefile a instaluj z cmd bez klikání. Pravdou je, že jsem tak dřív instaloval jen klienta (než jsem si vytvořil vlastní instalátor) a db jsem takto instalovat nezkoušel.
Zdar Max
Měl jsem sen ... :(
Max avatar 9.3. 08:36 Max | skóre: 68 | blog: Max_Devaine
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
Ahoj,
nevím, zda je to jen nějakou tvou nevědomostí jak něco nastavit / doinstalovat apod. Ale na ten debian v klidu můžeš nalít starší verzi php, viz : deb.sury.org. Aktuálně tam má php 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 a vše podporováno na Debianu 9 i 10 + to je uděláno tak, že ty verze běží vedle sebe a není s tím problém (= mohou být nainstalovány všechny najednou).
Je to odzkoušený repo, který používá kvantum lidí. A já osobně ho též používám.
Zdar Max
Měl jsem sen ... :(
9.3. 09:37 MP
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
Kdyz tomu nerozumi, nevim, proc do toho hrabe.

Tvoje rada je samozrejme jedna z nejvhodnejsich.

Ale neresi..

...bezpecnost. Jestli ta app je napsana na Deb7, tak v dnesni dobe bude mit takovych der, ze kdyz uz to ma dozit bez refaktoringu, tak to mel nechat v nejake virtualce dozit. Navic instalovat deb9 je dnes pase, ma to byt na deb10 a aspon 7.2. A zmen mezi 5.x a 7.2 je dost.
Josef Kufner avatar 9.3. 18:59 Josef Kufner | skóre: 69
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
Vedle bezpečnosti, jak už MP poznamenal, to také neřeší různé další staré nástroje, které může taková aplikace vyžadovat. Kontejner je v tomto ohledu výhodnější na správu i bezpečnější na provoz. Hlavní výhodou kontejneru je, že nekomplikuje další upgrade hostitelského systému – backportované balíčky časem nebudou až tak aktivně udržované a problém se bude opakovat.

Rozumná varianta může být i kombinace obojího, kdy se do kontejneru umístí staré PHP na (relativně) novém systému. Výhodou pak bude lepší kompatibilita mezi hostitelským systémem a kontejnerem.

Nicméně z krátkodobého hlediska je použití takových balíčků nejspíš nejjednodušší cesta.
Hello world ! Segmentation fault (core dumped)
Gréta avatar 9.3. 11:51 Gréta | skóre: 19 | blog: Grétin blogísek | Stockholm
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje

jestli to jako neni děsně tajný jakej jako máš důvod neudělat upgrade na debian 10?? :O :O

✊3 things to learn in skiing: •how to put on your skis •how to slide downhill •how to walk along the hospital corridor✊
RedMax avatar 9.3. 15:00 RedMax | skóre: 6
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje

Ještě jsem nakonec udělal upgrade na Buster, nic mě v tom nebránilo. To byla taky sranda, protože po upgradu mi co 30 minut začal zamrzat server. Následně jsem zjistil, že to dělá nějaké řízení energie či co, nebyl jsem schopný to povypínat i dle návodu na netu, často řešené. Nakonec jsem odinstaloval gdm3, který tam byl historicky a je po problému.

Co se týče toho PHP 5.2, vykašlal jsem se na to, nemám čas u toho nadále sedět a něco bastlit. Problémovou prezentaci migruji na placený hosting, kde není php5.2 problém.

Ještě nemám hotovou novou konfiguraci nového apache, jen co vím, co mi pořád nejde, je customlog a rewrite či redirect. :)

RedMax avatar 9.3. 19:24 RedMax | skóre: 6
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
Poslední věc čím bojuji. Statistiky Awstat. Při ruční aktualizaci hlási:

Error: Couldn't open server log file "/var/log/apache2/www.rozarka-as.cz/access.log" : Permission denied Setup ('/etc/awstats/awstats.www.rozarka-as.cz.conf' file, web server or permissions) may be wrong. Check config file, permissions and AWStats documentation (in 'docs' directory).

Ačkoliv nastavím oprávnění jakkoliv, stále vypisuje. Jakou skupinu mám hodit pro awstat? www-data, že? Proč mi to nejede?
Josef Kufner avatar 9.3. 19:29 Josef Kufner | skóre: 69
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
Nadřazené adresáře jsou také přístupné?
Hello world ! Segmentation fault (core dumped)
RedMax avatar 9.3. 20:10 RedMax | skóre: 6
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje

Ačkoliv jsem to kontroloval, tak apache2 adresář nebyl pro ostatní čitelný. No nic, asi bych měl dát pauzu. Každopádně dík, žes mi dal impuls to znovu zkontrolovat. :)

25.3. 11:04 mishkooo1 | skóre: 9
Rozbalit Rozbalit vše Re: Apache 2.4.5 + PHP 7.0 nefunguje
Adresar by mal mal prava na execute +x aby bolo mozne do nich vstupit.

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.